package com.unipi.talepis.protal2023_5;

import androidx.appcompat.app.AppCompatActivity;

import android.content.ContentValues;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity5 extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main5);
    }
    public void addUser(View view) {

        // class to add values in the database
        ContentValues values = new ContentValues();

        // fetching text from user
        values.put(MyContentProvider.id, ((EditText) findViewById(R.id.editTextText2)).getText().toString());
        values.put(MyContentProvider.name, ((EditText) findViewById(R.id.editTextText)).getText().toString());

        // inserting into database through content URI
        getContentResolver().insert(MyContentProvider.CONTENT_URI, values);

        // displaying a toast message
        Toast.makeText(getBaseContext(), "New Record Inserted", Toast.LENGTH_LONG).show();
    }
    public void showUsers(View view) {
        // inserting complete table details in this text field
        TextView resultView= findViewById(R.id.textView4);

        // creating a cursor object of the
        // content URI
        Cursor cursor = getContentResolver().query(Uri.parse(MyContentProvider.URL), null, null, null, null);

        // iteration of the cursor
        // to print whole table
        if(cursor.getCount()>0) {
            StringBuilder strBuild=new StringBuilder();
            while (cursor.moveToNext()) {
                strBuild.append("\n").append(cursor.getString(0)).append(",").append(cursor.getString(1));
            }
            resultView.setText(strBuild);
        }
        else {
            resultView.setText("No Records Found");
        }
        cursor.close();
    }
}