package com.unipi.talepis.protal2023_5;

import androidx.appcompat.app.AppCompatActivity;
import androidx.lifecycle.Observer;
import androidx.work.Data;
import androidx.work.OneTimeWorkRequest;
import androidx.work.WorkInfo;
import androidx.work.WorkManager;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

public class MainActivity3 extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main3);
    }
    public void go1(View view){
        TextView textView = findViewById(R.id.textView3);
        textView.setText("");
        WorkManager manager = WorkManager.getInstance(this);
        Data toSend = new Data.Builder().putString("myKey1","Unipi Informatics").build();
        OneTimeWorkRequest request = new OneTimeWorkRequest.Builder(MyWorker.class)
                .setInputData(toSend)
                .build();
        manager.enqueue(request);
        manager.getWorkInfoByIdLiveData(request.getId())
                .observe(this, workInfo -> {
                    if (workInfo!=null){
                        textView.append(workInfo.getState().toString()+"\n");
                        if (workInfo.getState()== WorkInfo.State.SUCCEEDED){
                            textView.append(workInfo.getOutputData().toString());
                        }
                    }
                });
    }
}